GNU bug report logs - #46955
Add python-sparse, Update python-cooler

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>; dated Sat, 6 Mar 2021 00:55:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Changed bug title to 'Add python-sparse, Update python-cooler' from '(no subject)' Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46955 <at> debbugs.gnu.org:


Received: (at 46955) by debbugs.gnu.org; 6 Mar 2021 00:57:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 19:57:40 2021
Received: from localhost ([127.0.0.1]:35743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lILGG-0001Zr-Gi
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 19:57:40 -0500
Received: from c2062.mx.srv.dfn.de ([194.95.238.172]:51133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lILGE-0001ZX-Cv
 for 46955 <at> debbugs.gnu.org; Fri, 05 Mar 2021 19:57:39 -0500
Received: from localhost (localhost [127.0.0.1])
 by c2062.mx.srv.dfn.de (Postfix) with ESMTP id 0CCD2300119;
 Sat,  6 Mar 2021 01:57:32 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received:received:received; s=mdc; t=
 1614992251; x=1616806652; bh=hDB9R2F95y0mv2J2r96bJzlFd06PhbuiU5P
 figQ3B70=; b=Ai21/ZrZ7pG361k+9np/7+VeLMait5og+JIDRCEs4Yh7qC5Jh71
 bIzEdms+VSx69T+evjR39kBxfM1jFrbAzXJ3GEEEdb81BaiitHA4joLtd5P4iPcv
 yIEeKwNqu2450Qf9ieRL2O16jXoRU4JOL3SM1AZdy6vPuWatApNbJfYM=
Received: from c2062.mx.srv.dfn.de ([127.0.0.1])
 by localhost (mgw4-erl.srv.dfn.de [127.0.0.1]) (amavisd-new, port 20134)
 with ESMTP id nLQ27qW1Vkqr; Sat,  6 Mar 2021 01:57:31 +0100 (CET)
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by c2062.mx.srv.dfn.de (Postfix) with ESMTPS;
 Sat,  6 Mar 2021 01:57:31 +0100 (CET)
Received: from Guix-Ubuntu18.04 (141.80.113.106) by SW-IT-P-EX4.mdc-berlin.net
 (141.80.113.62) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.1.2176.2; Sat, 6 Mar 2021
 01:57:31 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <46955 <at> debbugs.gnu.org>
Subject: [PATCH 2/2] gnu: python-cooler: Update to 0.8.10.
Date: Sat, 6 Mar 2021 01:57:03 +0100
Message-ID: <20210306005703.25479-2-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.30.1
In-Reply-To: <20210306005703.25479-1-madalinionel.patrascu@HIDDEN>
References: <20210306005703.25479-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [141.80.113.106]
X-ClientProxiedBy: SW-IT-P-EX3.mdc-berlin.net (141.80.113.61) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3080-8.6.1012-26012.003
X-TM-AS-Result: No-10--1.901600-8.000000
X-TMASE-MatchedRID: IajoWEPWtmK6/eEqqZaZmj8Ckw9b/GFeTJDl9FKHbrn7fZJfDdCIXISC
 l3uvYUiSC6+Zjvylmgt6n3hIvN5dLetbninbl/qrvr7oQh2H9etKhpFNiC3g3hHfiujuTbedu95
 6BjcJKyQZDJ72K11ChJNb5HQLbebH7Tqch0zEtNGL6q5RsNhv5PLfqX4QTDm8xaBBt5x+Tc6YDT
 IhMw3OOX0tCKdnhB589yM15V5aWpj6C0ePs7A07ba607moR85R7if6eFicpJ+/L/l0xOrOcSPbi
 /Gx1mOfBm/2yD38/KaEQxghebWIdCJm20qIrbV/czCm0bU8FunF7/pJf0EW2mswzhJnyVc0b8fs
 uEgqM7bRtaXwfRDZE7Qwvjsqb5f0Rg4BBcJumqA+kK598Yf3Mg==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--1.901600-8.000000
X-TMASE-Version: SMEX-14.0.0.3080-8.6.1012-26012.003
X-TM-SNTS-SMTP: 17748E8121FA99A6118D2D72552E4E3E06BF5E29D72A3B461C050DD834DB8A102000:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46955
Cc: rekado@HIDDEN, =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/bioinformatics.scm (python-cooler): Update to 0.8.10/
---
 gnu/packages/bioinformatics.scm | 21 ++++++++++++---------
 1 file changed, 12 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 6d21e14360..bc31d50e54 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -13636,35 +13636,38 @@ fasta subsequences.")
 (define-public python-cooler
   (package
     (name "python-cooler")
-    (version "0.8.7")
+    (version "0.8.10")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "cooler" version))
        (sha256
         (base32
-         "01g6gqix9ba27sappz6nfyiwabzrlf8i5fn8kwcz8ra356cq9crp"))))
+          "1hi9anwz8b9p9wigzc5hypnwm6a4ikvlv69ixy3ki8939ngb1sj3"))))
     (build-system python-build-system)
     (propagated-inputs
      `(("python-asciitree" ,python-asciitree)
-       ("python-biopython" ,python-biopython)
        ("python-click" ,python-click)
        ("python-cytoolz" ,python-cytoolz)
-       ("python-dask" ,python-dask)
        ("python-h5py" ,python-h5py)
        ("python-multiprocess" ,python-multiprocess)
        ("python-numpy" ,python-numpy)
        ("python-pandas" ,python-pandas)
        ("python-pyfaidx" ,python-pyfaidx)
        ("python-pypairix" ,python-pypairix)
-       ("python-pysam" ,python-pysam)
        ("python-pyyaml" ,python-pyyaml)
        ("python-scipy" ,python-scipy)
-       ("python-simplejson" ,python-simplejson)))
+       ("python-simplejson" ,python-simplejson)
+       ("python-six" ,python-six)))
     (native-inputs
-     `(("python-mock" ,python-mock)
-       ("python-pytest" ,python-pytest)))
-    (home-page "https://github.com/mirnylab/cooler")
+     `(("python-codecov" ,python-codecov)
+       ("python-dask" ,python-dask)     ;;unittest.runner.TextTestResult
+       ("python-mock" ,python-mock)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-flake8" ,python-pytest-flake8)
+       ("python-sparse" ,python-sparse))) ;;unittest.runner.TextTestResult
+    (home-page "https://github.com/open2c/cooler")
     (synopsis "Sparse binary format for genomic interaction matrices")
     (description
      "Cooler is a support library for a sparse, compressed, binary persistent
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#46955; Package guix-patches. Full text available.

Message received at 46955 <at> debbugs.gnu.org:


Received: (at 46955) by debbugs.gnu.org; 6 Mar 2021 00:57:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 19:57:40 2021
Received: from localhost ([127.0.0.1]:35740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lILGA-0001Ze-8p
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 19:57:40 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:34603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lILG5-0001ZN-Fv
 for 46955 <at> debbugs.gnu.org; Fri, 05 Mar 2021 19:57:33 -0500
Received: from localhost (localhost [127.0.0.1])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTP id 1488F16012B;
 Sat,  6 Mar 2021 01:57:23 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :x-mailer:message-id:date:date:subject:subject:from:from
 :received:received:received; s=mdc; t=1614992242; x=1616806643;
 bh=tulqpNiVy4P5FQDA4wI7NaUj7QfgFIQVzLR5oYvja6o=; b=h2/lgetSpXLE
 y8KdVea6t/dbskPKh/L+/oISWNmmyME9etV7aiInNNwjTGSE1cFA45duhdq7Dd1Q
 4JtMcPWvx+5VS5l5vlHhXyytScNnUnjZeLp82wLZSJL9km41R/u7MhNuowszrtx1
 1UN9lUUsjQX61uEsgqpNl+Pi8bwdAvQ=
Received: from b2062.mx.srv.dfn.de ([127.0.0.1])
 by localhost (mgw4-tub.srv.dfn.de [127.0.0.1]) (amavisd-new, port 20134)
 with ESMTP id RtFq4BUYj4dC; Sat,  6 Mar 2021 01:57:22 +0100 (CET)
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS;
 Sat,  6 Mar 2021 01:57:22 +0100 (CET)
Received: from Guix-Ubuntu18.04 (141.80.113.106) by SW-IT-P-EX4.mdc-berlin.net
 (141.80.113.62) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.1.2176.2; Sat, 6 Mar 2021
 01:57:22 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <46955 <at> debbugs.gnu.org>
Subject: [PATCH 1/2] gnu: Add python-sparse.
Date: Sat, 6 Mar 2021 01:57:02 +0100
Message-ID: <20210306005703.25479-1-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.30.1
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit
X-Originating-IP: [141.80.113.106]
X-ClientProxiedBy: SW-IT-P-EX3.mdc-berlin.net (141.80.113.61) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3080-8.6.1012-26012.003
X-TM-AS-Result: No-10--3.042000-8.000000
X-TMASE-MatchedRID: gnUNXwFR0uP/R1NSMc2qCXycvC6I0dJIS1zwNuiBtITfUZT83lbkEJwl
 bZPQQ0yzb1TGnuLRfUkctkosP3yazCq+GZ9ZHxIhUYXhMajr0x53G1bsm5zfjMZygq/CPmrol8w
 sFD5lRSvmsKqMEsXxJy2+lyx46iL0+5T6zKmlZhdV1zhVw8duYkPIlAqA4/DEvAe75exuTNFErs
 sMQdxI5OdccNzwjJTWNx3sWO1UiHFnDmHdcAECAMn9tWHiLD2GW1eClGWYNyjnCThanP/ghGJlH
 05V7NzjkysQhBKB3lqXwGaqxb4UjqMOL4ljfmzc9FQh3flUIh4Q5L9qu3flQ5cFdomgH0lngxsf
 zkNRlfLdB/CxWTRRu3aDLLDbFMGF/tsmPRGXdaiD+EnTB7mS6eikSSNrgo8AgJ8EP/L19sL0xVt
 oJb5gks/YiEgTarFDgTu0lGnM4Bj+Bp7E1Bftcrvpvs9iIwUk1+xhfuuIbsi45jSrrr4GpqGCNX
 qyLhLFvoNkWY9hSsutAp7vUZi6bw==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--3.042000-8.000000
X-TMASE-Version: SMEX-14.0.0.3080-8.6.1012-26012.003
X-TM-SNTS-SMTP: 53C155232D36112CF637479049976B7F6D97BD6823FF8BA1EEE9700E04BF6E442000:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46955
Cc: rekado@HIDDEN, =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-sparse): New variable.
---
 gnu/packages/python-xyz.scm | 41 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 40 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index fbc9ad688d..b5274c39a9 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -67,7 +67,7 @@
 ;;; Copyright © 2019, 2020 Giacomo Leidi <goodoldpaul@HIDDEN>
 ;;; Copyright © 2019 Wiktor Żelazny <wzelazny@HIDDEN>
 ;;; Copyright © 2019, 2020 Tanguy Le Carrour <tanguy@HIDDEN>
-;;; Copyright © 2019 Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>
+;;; Copyright © 2019, 2021 Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>
 ;;; Copyright © 2020 Riku Viitanen <riku.viitanen@HIDDEN>
 ;;; Copyright © 2020 Jakub Kądziołka <kuba@HIDDEN>
 ;;; Copyright © 2020 sirgazil <sirgazil@HIDDEN>
@@ -4719,6 +4719,45 @@ objects.")
 (define-public python2-colormath
   (package-with-python2 python-colormath))
 
+(define-public python-sparse
+  (package
+    (name "python-sparse")
+    (version "0.11.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "sparse" version))
+       (sha256
+        (base32
+         "0kw6ha83gk0dymayrxhh16xxk7aykiyiz3ksxdzj6hhjr3dkap5w"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-numba" ,python-numba)
+       ("python-numpy" ,python-numpy)
+       ("python-scipy" ,python-scipy)))
+    (native-inputs
+     `(("python-dask" ,python-dask)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-black" ,python-pytest-black)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "https://github.com/pydata/sparse/")
+    (synopsis "Library for multi-dimensional sparse arrays")
+    (description
+     "This package implements sparse arrays of arbitrary dimension on top of
+@code{numpy} and @code{scipy.sparse}.  Sparse array is a matrix in which most
+of the elements are zero.  @code{python-sparse} generalizes the
+@code{scipy.sparse.coo_matrix} and @code{scipy.sparse.dok_matrix} layouts, but
+extends beyond just rows and columns to an arbitrary number of dimensions.
+Additionally, this project maintains compatibility with the
+@code{numpy.ndarray} interface rather than the @code{numpy.matrix} interface
+used in @code{scipy.sparse}.  These differences make this project useful in
+certain situations where @code{scipy.sparse} matrices are not well suited, but
+it should not be considered a full replacement.  It lacks layouts that are not
+easily generalized like @dfn{compressed sparse row/column}(CSR/CSC) and
+depends on @code{scipy.sparse} for some computations.")
+    ;;https://github.com/pydata/sparse/blob/master/LICENSE
+    (license license:bsd-3)))
+
 (define-public python-spectra
   (package
     (name "python-spectra")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#46955; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Mar 2021 00:54:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 19:54:51 2021
Received: from localhost ([127.0.0.1]:35732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lILDX-0001VG-JP
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 19:54:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:58678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lILDV-0001V9-V1
 for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 19:54:50 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:45764)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lILDV-0006Nr-Ls
 for guix-patches@HIDDEN; Fri, 05 Mar 2021 19:54:49 -0500
Received: from a2062.mx.srv.dfn.de ([194.95.232.172]:55717)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1lILDT-0006GF-59
 for guix-patches@HIDDEN; Fri, 05 Mar 2021 19:54:49 -0500
Received: from localhost (localhost [127.0.0.1])
 by a2062.mx.srv.dfn.de (Postfix) with ESMTP id 4B4D8A00ED
 for <guix-patches@HIDDEN>; Sat,  6 Mar 2021 01:54:43 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-language:content-transfer-encoding:content-type
 :content-type:mime-version:user-agent:date:date:message-id:from
 :from:received:received:received; s=mdc; t=1614992082; x=
 1616806483; bh=frcCV1k9oG9oKj3dpUqdJg1PxRT2RSN/XKdLCPjaYaY=; b=K
 oJS/CktGfSNkkq2XAMzhz4C9/rb+Y8l3oevDytyAHtBmUr4YX1AxVNs1v5C9HgSy
 25PbCEi0SvKTE5kJVPlPimhK19yc1XIQvCBagDE4iglj/yyxAs3WvCH3r1KJeg3f
 CvfXy1dM5liGuDggD/Dqiia070U2dI4otEczYULZPM=
Received: from a2062.mx.srv.dfn.de ([127.0.0.1])
 by localhost (mgw4-han.srv.dfn.de [127.0.0.1]) (amavisd-new, port 20134)
 with ESMTP id bK2YsyoYilyV for <guix-patches@HIDDEN>;
 Sat,  6 Mar 2021 01:54:42 +0100 (CET)
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by a2062.mx.srv.dfn.de (Postfix) with ESMTPS
 for <guix-patches@HIDDEN>; Sat,  6 Mar 2021 01:54:42 +0100 (CET)
Received: from [192.168.1.220] (31.18.50.167) by SW-IT-P-EX4.mdc-berlin.net
 (141.80.113.62) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.1.2176.2; Sat, 6 Mar 2021
 01:54:42 +0100
To: <guix-patches@HIDDEN>
From: =?UTF-8?B?TcSDZMSDbGluIElvbmVsIFBhdHJhyJljdQ==?=
 <madalinionel.patrascu@HIDDEN>
Message-ID: <76dfa82e-53e2-c4fc-d002-df71f348cdc8@HIDDEN>
Date: Sat, 6 Mar 2021 01:54:41 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Originating-IP: [31.18.50.167]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3080-8.6.1012-26012.003
X-TM-AS-Result: No-10-2.373600-8.000000
X-TMASE-MatchedRID: zNHEZVbO6+CYN/UYLI7XqOLzNWBegCW2RYvisGWbbS/ITICTZKCMNexJ
 beH3K4ldgPn1rCdWbriK1w/mwA00Qd0H8LFZNFG73Yq8RVaZivV4OXlDu6jxLpvOJThWZQ3kbSv
 Uj/BK7J9DE2SiozhChZlMspqOq0CS
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10-2.373600-8.000000
X-TMASE-Version: SMEX-14.0.0.3080-8.6.1012-26012.003
X-TM-SNTS-SMTP: 12789DB887F4AD66CE62B4DAEC9AD0347B81CF0E7715BC26E8209AF9C28DE32B2000:F
Received-SPF: pass client-ip=194.95.232.172;
 envelope-from=MadalinIonel.Patrascu@HIDDEN; helo=a2062.mx.srv.dfn.de
X-Spam_score_int: 13
X-Spam_score: 1.3
X-Spam_bar: +
X-Spam_report: (1.3 / 5.0 requ) BAYES_00=-1.9, BODY_EMPTY=0.22, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, EMPTY_MESSAGE=2.32,
 MISSING_SUBJECT=1.799, PYZOR_CHECK=1.392, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 3.2 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details. Content preview:  
 Content analysis details:   (3.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=madalinionel.patrascu%40mdc-berlin.de; ip=209.51.188.17; r=debbugs.gnu.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.51.188.17 listed in wl.mailspike.net]
 2.3 EMPTY_MESSAGE          Message appears to have no textual parts and no
 Subject: text 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
 0.2 BODY_EMPTY             No body text in message
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  
 
 Content analysis details:   (2.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.51.188.17 listed in wl.mailspike.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=madalinionel.patrascu%40mdc-berlin.de;ip=209.51.188.17;r=debbugs.gnu.org]
  2.3 EMPTY_MESSAGE          Message appears to have no textual parts and no
                             Subject: text
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.8 MISSING_SUBJECT        Missing Subject: header
  0.2 NO_SUBJECT             Extra score for no subject
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.2 BODY_EMPTY             No body text in message






Acknowledgement sent to Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text available.


Report forwarded to guix-patches@HIDDEN:
bug#46955; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Mar 2021 03:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.